z8530_dma_status
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_dma_status — Handle a DMA status exception

## Synopsis

`void z8530_dma_status (` | struct z8530_channel * | chan`)`;

## Arguments

`chan`

  Z8530 channel to process

## Description

A status event occurred on the Z8530. We receive these for two reasons when in DMA mode. Firstly if we finished a packet transfer we get one and kick the next packet out. Secondly we may see a DCD change and have to poke the protocol layer.

Prev | Up | Next
z8530_dma_tx | Home | z8530_rx_clear